### Function

# AppStream RelationItemKind from_string

since: 0.12.0

#### Declaration [src]

    AsRelationItemKind
    as_relation_item_kind_from_string (
      const gchar* kind_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

Available since: 0.12.0

#### Parameters

`kind_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsRelationItemKind`

A `AsRelationItemKind` or `AS_RELATION_ITEM_KIND_UNKNOWN` for unknown.